package com.four.patient.domain;

/**
 * 药品详情表
 */
public class DrugDetails {

    /**
     * 药品详情id
     */
    private Integer drugDetailsId;

    /**
     * 常见病症+常见药品表id
     */
    private Integer id;

    /**
     * 药品成分
     */
    private String pharmaceuticalIngredient;

    /**
     * 用药禁忌
     */
    private String drugContraindication;

    /**
     * 功能主治
     */
    private String functionalIndications;

    /**
     * 用法用量
     */
    private String usageDosage;

    /**
     * 药品性状
     */
    private String drugCharacter;

    /**
     * 包装规格
     */
    private String packingSpecification;

    /**
     * 不良反应
     */
    private String adverseReaction;

    public Integer getDrugDetailsId() {
        return drugDetailsId;
    }

    public void setDrugDetailsId(Integer drugDetailsId) {
        this.drugDetailsId = drugDetailsId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPharmaceuticalIngredient() {
        return pharmaceuticalIngredient;
    }

    public void setPharmaceuticalIngredient(String pharmaceuticalIngredient) {
        this.pharmaceuticalIngredient = pharmaceuticalIngredient;
    }

    public String getDrugContraindication() {
        return drugContraindication;
    }

    public void setDrugContraindication(String drugContraindication) {
        this.drugContraindication = drugContraindication;
    }

    public String getFunctionalIndications() {
        return functionalIndications;
    }

    public void setFunctionalIndications(String functionalIndications) {
        this.functionalIndications = functionalIndications;
    }

    public String getUsageDosage() {
        return usageDosage;
    }

    public void setUsageDosage(String usageDosage) {
        this.usageDosage = usageDosage;
    }

    public String getDrugCharacter() {
        return drugCharacter;
    }

    public void setDrugCharacter(String drugCharacter) {
        this.drugCharacter = drugCharacter;
    }

    public String getPackingSpecification() {
        return packingSpecification;
    }

    public void setPackingSpecification(String packingSpecification) {
        this.packingSpecification = packingSpecification;
    }

    public String getAdverseReaction() {
        return adverseReaction;
    }

    public void setAdverseReaction(String adverseReaction) {
        this.adverseReaction = adverseReaction;
    }
}
