package com.four.patient.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户表
 */
public class User {

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 体征
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Integer bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Integer realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Integer bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 余额
     */
    private String invitationCode;
}
