package com.four.patient.domain;

import java.util.Date;

/**
 * 咨询记录表
 */
public class ConsultationRecord {

    /**
     * 咨询记录id
     */
    private Integer consultationRecordId;

    /**
     * 咨询时间
     */
    private Date consultationTime;

    /**
     * 咨询人id
     */
    private Integer consultantId;

    /**
     * 咨询内容
     */
    private String consultationContent;

    /**
     * 医生注册信息id
     */
    private Integer registrationInformationId;

    /**
     * 医生回复的内容
     */
    private String replyContent;

    public Integer getConsultationRecordId() {
        return consultationRecordId;
    }

    public void setConsultationRecordId(Integer consultationRecordId) {
        this.consultationRecordId = consultationRecordId;
    }

    public Date getConsultationTime() {
        return consultationTime;
    }

    public void setConsultationTime(Date consultationTime) {
        this.consultationTime = consultationTime;
    }

    public Integer getConsultantId() {
        return consultantId;
    }

    public void setConsultantId(Integer consultantId) {
        this.consultantId = consultantId;
    }

    public String getConsultationContent() {
        return consultationContent;
    }

    public void setConsultationContent(String consultationContent) {
        this.consultationContent = consultationContent;
    }

    public Integer getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Integer registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }
}
