package com.four.patient.domain;

import java.util.Date;

/**
 * 病友圈详情表
 */
public class DetailsPatientCircle {

    /**
     * 病友圈详情id
     */
    private Integer detailsPatientCircleId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人id
     */
    private Integer publisherId;

    /**
     * 病症id
     */
    private Integer diseaseId;

    /**
     * 科室id
     */
    private Integer departmentId;

    /**
     * 病症详情
     */
    private String detailsSymptoms;

    /**
     * 治疗经历开始时间
     */
    private Date treatmentExperienceStartTime;

    /**
     * 治疗经历结束时间
     */
    private Date treatmentExperienceEndTime;

    /**
     * 治疗经历
     */
    private String treatmentExperience;

    /**
     * 相关图片
     */
    private String relatedPictures;

    /**
     * 提升悬赏额度
     */
    private Integer rewardAmount;

    /**
     * 收藏数量
     */
    private Integer collectionQuantity;

    /**
     * 评论数量
     */
    private Integer numberComments;

    public Integer getDetailsPatientCircleId() {
        return detailsPatientCircleId;
    }

    public void setDetailsPatientCircleId(Integer detailsPatientCircleId) {
        this.detailsPatientCircleId = detailsPatientCircleId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getPublisherId() {
        return publisherId;
    }

    public void setPublisherId(Integer publisherId) {
        this.publisherId = publisherId;
    }

    public Integer getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(Integer diseaseId) {
        this.diseaseId = diseaseId;
    }

    public Integer getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Integer departmentId) {
        this.departmentId = departmentId;
    }

    public String getDetailsSymptoms() {
        return detailsSymptoms;
    }

    public void setDetailsSymptoms(String detailsSymptoms) {
        this.detailsSymptoms = detailsSymptoms;
    }

    public Date getTreatmentExperienceStartTime() {
        return treatmentExperienceStartTime;
    }

    public void setTreatmentExperienceStartTime(Date treatmentExperienceStartTime) {
        this.treatmentExperienceStartTime = treatmentExperienceStartTime;
    }

    public Date getTreatmentExperienceEndTime() {
        return treatmentExperienceEndTime;
    }

    public void setTreatmentExperienceEndTime(Date treatmentExperienceEndTime) {
        this.treatmentExperienceEndTime = treatmentExperienceEndTime;
    }

    public String getTreatmentExperience() {
        return treatmentExperience;
    }

    public void setTreatmentExperience(String treatmentExperience) {
        this.treatmentExperience = treatmentExperience;
    }

    public String getRelatedPictures() {
        return relatedPictures;
    }

    public void setRelatedPictures(String relatedPictures) {
        this.relatedPictures = relatedPictures;
    }

    public Integer getRewardAmount() {
        return rewardAmount;
    }

    public void setRewardAmount(Integer rewardAmount) {
        this.rewardAmount = rewardAmount;
    }

    public Integer getCollectionQuantity() {
        return collectionQuantity;
    }

    public void setCollectionQuantity(Integer collectionQuantity) {
        this.collectionQuantity = collectionQuantity;
    }

    public Integer getNumberComments() {
        return numberComments;
    }

    public void setNumberComments(Integer numberComments) {
        this.numberComments = numberComments;
    }
}
