package com.four.patient.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值+提现的记录表
 */
public class RechargeWithdrawCash {

    /**
     * 充值+提现id
     */
    private Integer rechargeWithdrawCashId;

    /**
     * 充值+提现用户id
     */
    private Integer userId;

    /**
     * 充值+提现金额
     */
    private BigDecimal money;

    /**
     * 充值+提现时间
     */
    private Date time;

    /**
     * 状态：1:提现  2:充值+签到
     */
    private Integer status;

    /**
     * 用户的实名认证和银行卡id
     */
    private Integer certifiedBankCardId;

    public Integer getRechargeWithdrawCashId() {
        return rechargeWithdrawCashId;
    }

    public void setRechargeWithdrawCashId(Integer rechargeWithdrawCashId) {
        this.rechargeWithdrawCashId = rechargeWithdrawCashId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCertifiedBankCardId() {
        return certifiedBankCardId;
    }

    public void setCertifiedBankCardId(Integer certifiedBankCardId) {
        this.certifiedBankCardId = certifiedBankCardId;
    }
}
